Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.internal
Class ForeignKeys.Nullifier

    java.lang.Object
      org.hibernate.engine.internal.ForeignKeys.Nullifier

Enclosing class:
  ForeignKeys

    public static class ForeignKeys.Nullifier

extends Object

Constructor Summary
`ForeignKeys.Nullifier(Object self, boolean isDelete, boolean isEarlyInsert, SessionImplementor session)`

Method Summary
`void` | `nullifyTransientReferences(Object[] values, Type[] types)` Nullify all references to entities that have not yet been inserted in the database, where the foreign key points toward that entity

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeys.Nullifier

    public ForeignKeys.Nullifier(Object self,
                                 boolean isDelete,
                                 boolean isEarlyInsert,
                                 SessionImplementor session)

Method Detail

### nullifyTransientReferences

    public void nullifyTransientReferences(Object[] values,
                                           Type[] types)
                                    throws HibernateException

  Nullify all references to entities that have not yet been inserted in the database, where the foreign key points toward that entity

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.